import { V as R, P as Ci, b9 as ji, ba as Hc, bB as qc, jL as zc, U as Jc, c9 as Xc, a0 as re, bh as Qc, bi as xe, bj as Ne, bg as nn, bl as Zc, bn as rl, bo as el, bG as tl, co as al, ca as nl, cb as ol } from "./684d2f28.js";
import { useRef as Ae, useState as _i, useEffect as on, useContext as vn } from "react";
import "react-dom";
var cn = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {}, Gr = function(r) {
  return r && r.Math == Math && r;
}, $ = (
  // eslint-disable-next-line es-x/no-global-this -- safe
  Gr(typeof globalThis == "object" && globalThis) || Gr(typeof window == "object" && window) || // eslint-disable-next-line no-restricted-globals -- safe
  Gr(typeof self == "object" && self) || Gr(typeof cn == "object" && cn) || // eslint-disable-next-line no-new-func -- fallback
  function() {
    return this;
  }() || Function("return this")()
), $r = {}, E = function(r) {
  try {
    return !!r();
  } catch {
    return !0;
  }
}, il = E, U = !il(function() {
  return Object.defineProperty({}, 1, { get: function() {
    return 7;
  } })[1] != 7;
}), vl = E, pe = !vl(function() {
  var r = (function() {
  }).bind();
  return typeof r != "function" || r.hasOwnProperty("prototype");
}), cl = pe, Kr = Function.prototype.call, T = cl ? Kr.bind(Kr) : function() {
  return Kr.apply(Kr, arguments);
}, xi = {}, Ni = {}.propertyIsEnumerable, Ai = Object.getOwnPropertyDescriptor, ll = Ai && !Ni.call({ 1: 2 }, 1);
xi.f = ll ? function(e) {
  var t = Ai(this, e);
  return !!t && t.enumerable;
} : Ni;
var Li = function(r, e) {
  return {
    enumerable: !(r & 1),
    configurable: !(r & 2),
    writable: !(r & 4),
    value: e
  };
}, Di = pe, Mi = Function.prototype, sl = Mi.bind, Ft = Mi.call, ul = Di && sl.bind(Ft, Ft), O = Di ? function(r) {
  return r && ul(r);
} : function(r) {
  return r && function() {
    return Ft.apply(r, arguments);
  };
}, Fi = O, fl = Fi({}.toString), $l = Fi("".slice), jr = function(r) {
  return $l(fl(r), 8, -1);
}, dl = $, pl = O, yl = E, bl = jr, Le = dl.Object, gl = pl("".split), hl = yl(function() {
  return !Le("z").propertyIsEnumerable(0);
}) ? function(r) {
  return bl(r) == "String" ? gl(r, "") : Le(r);
} : Le, Ol = $, ml = Ol.TypeError, X = function(r) {
  if (r == null)
    throw ml("Can't call method on " + r);
  return r;
}, Sl = hl, El = X, ye = function(r) {
  return Sl(El(r));
}, m = function(r) {
  return typeof r == "function";
}, Tl = m, B = function(r) {
  return typeof r == "object" ? r !== null : Tl(r);
}, De = $, Il = m, wl = function(r) {
  return Il(r) ? r : void 0;
}, G = function(r, e) {
  return arguments.length < 2 ? wl(De[r]) : De[r] && De[r][e];
}, Pl = O, ba = Pl({}.isPrototypeOf), Rl = G, be = Rl("navigator", "userAgent") || "", Ui = $, Me = be, ln = Ui.process, sn = Ui.Deno, un = ln && ln.versions || sn && sn.version, fn = un && un.v8, j, ie;
fn && (j = fn.split("."), ie = j[0] > 0 && j[0] < 4 ? 1 : +(j[0] + j[1]));
!ie && Me && (j = Me.match(/Edge\/(\d+)/), (!j || j[1] >= 74) && (j = Me.match(/Chrome\/(\d+)/), j && (ie = +j[1])));
var Bi = ie, $n = Bi, Cl = E, Gi = !!Object.getOwnPropertySymbols && !Cl(function() {
  var r = Symbol();
  return !String(r) || !(Object(r) instanceof Symbol) || // Chrome 38-40 symbols are not inherited from DOM collections prototypes to instances
  !Symbol.sham && $n && $n < 41;
}), jl = Gi, Ki = jl && !Symbol.sham && typeof Symbol.iterator == "symbol", _l = $, xl = G, Nl = m, Al = ba, Ll = Ki, Dl = _l.Object, ki = Ll ? function(r) {
  return typeof r == "symbol";
} : function(r) {
  var e = xl("Symbol");
  return Nl(e) && Al(e.prototype, Dl(r));
}, Ml = $, Fl = Ml.String, ge = function(r) {
  try {
    return Fl(r);
  } catch {
    return "Object";
  }
}, Ul = $, Bl = m, Gl = ge, Kl = Ul.TypeError, Q = function(r) {
  if (Bl(r))
    return r;
  throw Kl(Gl(r) + " is not a function");
}, kl = Q, _r = function(r, e) {
  var t = r[e];
  return t == null ? void 0 : kl(t);
}, Vl = $, Fe = T, Ue = m, Be = B, Wl = Vl.TypeError, Yl = function(r, e) {
  var t, a;
  if (e === "string" && Ue(t = r.toString) && !Be(a = Fe(t, r)) || Ue(t = r.valueOf) && !Be(a = Fe(t, r)) || e !== "string" && Ue(t = r.toString) && !Be(a = Fe(t, r)))
    return a;
  throw Wl("Can't convert object to primitive value");
}, he = { exports: {} }, dn = $, Hl = Object.defineProperty, ga = function(r, e) {
  try {
    Hl(dn, r, { value: e, configurable: !0, writable: !0 });
  } catch {
    dn[r] = e;
  }
  return e;
}, ql = $, zl = ga, pn = "__core-js_shared__", Jl = ql[pn] || zl(pn, {}), ha = Jl, yn = ha;
(he.exports = function(r, e) {
  return yn[r] || (yn[r] = e !== void 0 ? e : {});
})("versions", []).push({
  version: "3.22.2",
  mode: "global",
  copyright: "© 2014-2022 Denis Pushkarev (zloirock.ru)",
  license: "https://github.com/zloirock/core-js/blob/v3.22.2/LICENSE",
  source: "https://github.com/zloirock/core-js"
});
var Xl = $, Ql = X, Zl = Xl.Object, Vi = function(r) {
  return Zl(Ql(r));
}, rs = O, es = Vi, ts = rs({}.hasOwnProperty), L = Object.hasOwn || function(e, t) {
  return ts(es(e), t);
}, as = O, ns = 0, os = Math.random(), is = as(1 .toString), Wi = function(r) {
  return "Symbol(" + (r === void 0 ? "" : r) + ")_" + is(++ns + os, 36);
}, vs = $, cs = he.exports, bn = L, ls = Wi, gn = Gi, Yi = Ki, er = cs("wks"), H = vs.Symbol, hn = H && H.for, ss = Yi ? H : H && H.withoutSetter || ls, S = function(r) {
  if (!bn(er, r) || !(gn || typeof er[r] == "string")) {
    var e = "Symbol." + r;
    gn && bn(H, r) ? er[r] = H[r] : Yi && hn ? er[r] = hn(e) : er[r] = ss(e);
  }
  return er[r];
}, us = $, fs = T, On = B, mn = ki, $s = _r, ds = Yl, ps = S, ys = us.TypeError, bs = ps("toPrimitive"), gs = function(r, e) {
  if (!On(r) || mn(r))
    return r;
  var t = $s(r, bs), a;
  if (t) {
    if (e === void 0 && (e = "default"), a = fs(t, r, e), !On(a) || mn(a))
      return a;
    throw ys("Can't convert object to primitive value");
  }
  return e === void 0 && (e = "number"), ds(r, e);
}, hs = gs, Os = ki, Hi = function(r) {
  var e = hs(r, "string");
  return Os(e) ? e : e + "";
}, ms = $, Sn = B, Ut = ms.document, Ss = Sn(Ut) && Sn(Ut.createElement), Oa = function(r) {
  return Ss ? Ut.createElement(r) : {};
}, Es = U, Ts = E, Is = Oa, qi = !Es && !Ts(function() {
  return Object.defineProperty(Is("div"), "a", {
    get: function() {
      return 7;
    }
  }).a != 7;
}), ws = U, Ps = T, Rs = xi, Cs = Li, js = ye, _s = Hi, xs = L, Ns = qi, En = Object.getOwnPropertyDescriptor;
$r.f = ws ? En : function(e, t) {
  if (e = js(e), t = _s(t), Ns)
    try {
      return En(e, t);
    } catch {
    }
  if (xs(e, t))
    return Cs(!Ps(Rs.f, e, t), e[t]);
};
var Z = {}, As = U, Ls = E, zi = As && Ls(function() {
  return Object.defineProperty(function() {
  }, "prototype", {
    value: 42,
    writable: !1
  }).prototype != 42;
}), Ji = $, Ds = B, Ms = Ji.String, Fs = Ji.TypeError, I = function(r) {
  if (Ds(r))
    return r;
  throw Fs(Ms(r) + " is not an object");
}, Us = $, Bs = U, Gs = qi, Ks = zi, kr = I, Tn = Hi, ks = Us.TypeError, Ge = Object.defineProperty, Vs = Object.getOwnPropertyDescriptor, Ke = "enumerable", ke = "configurable", Ve = "writable";
Z.f = Bs ? Ks ? function(e, t, a) {
  if (kr(e), t = Tn(t), kr(a), typeof e == "function" && t === "prototype" && "value" in a && Ve in a && !a[Ve]) {
    var n = Vs(e, t);
    n && n[Ve] && (e[t] = a.value, a = {
      configurable: ke in a ? a[ke] : n[ke],
      enumerable: Ke in a ? a[Ke] : n[Ke],
      writable: !1
    });
  }
  return Ge(e, t, a);
} : Ge : function(e, t, a) {
  if (kr(e), t = Tn(t), kr(a), Gs)
    try {
      return Ge(e, t, a);
    } catch {
    }
  if ("get" in a || "set" in a)
    throw ks("Accessors not supported");
  return "value" in a && (e[t] = a.value), e;
};
var Ws = U, Ys = Z, Hs = Li, Oe = Ws ? function(r, e, t) {
  return Ys.f(r, e, Hs(1, t));
} : function(r, e, t) {
  return r[e] = t, r;
}, dr = { exports: {} }, qs = O, zs = m, Bt = ha, Js = qs(Function.toString);
zs(Bt.inspectSource) || (Bt.inspectSource = function(r) {
  return Js(r);
});
var me = Bt.inspectSource, Xs = $, Qs = m, Zs = me, In = Xs.WeakMap, ru = Qs(In) && /native code/.test(Zs(In)), eu = he.exports, tu = Wi, wn = eu("keys"), Xi = function(r) {
  return wn[r] || (wn[r] = tu(r));
}, ma = {}, au = ru, Qi = $, We = O, nu = B, ou = Oe, Ye = L, He = ha, iu = Xi, vu = ma, Pn = "Object already initialized", Gt = Qi.TypeError, cu = Qi.WeakMap, ve, Pr, ce, lu = function(r) {
  return ce(r) ? Pr(r) : ve(r, {});
}, su = function(r) {
  return function(e) {
    var t;
    if (!nu(e) || (t = Pr(e)).type !== r)
      throw Gt("Incompatible receiver, " + r + " required");
    return t;
  };
};
if (au || He.state) {
  var K = He.state || (He.state = new cu()), uu = We(K.get), Rn = We(K.has), fu = We(K.set);
  ve = function(r, e) {
    if (Rn(K, r))
      throw new Gt(Pn);
    return e.facade = r, fu(K, r, e), e;
  }, Pr = function(r) {
    return uu(K, r) || {};
  }, ce = function(r) {
    return Rn(K, r);
  };
} else {
  var tr = iu("state");
  vu[tr] = !0, ve = function(r, e) {
    if (Ye(r, tr))
      throw new Gt(Pn);
    return e.facade = r, ou(r, tr, e), e;
  }, Pr = function(r) {
    return Ye(r, tr) ? r[tr] : {};
  }, ce = function(r) {
    return Ye(r, tr);
  };
}
var Sa = {
  set: ve,
  get: Pr,
  has: ce,
  enforce: lu,
  getterFor: su
}, Kt = U, $u = L, Zi = Function.prototype, du = Kt && Object.getOwnPropertyDescriptor, Ea = $u(Zi, "name"), pu = Ea && (function() {
}).name === "something", yu = Ea && (!Kt || Kt && du(Zi, "name").configurable), bu = {
  EXISTS: Ea,
  PROPER: pu,
  CONFIGURABLE: yu
}, gu = $, Cn = m, hu = L, jn = Oe, Ou = ga, mu = me, rv = Sa, Su = bu.CONFIGURABLE, Eu = rv.get, Tu = rv.enforce, Iu = String(String).split("String");
(dr.exports = function(r, e, t, a) {
  var n = a ? !!a.unsafe : !1, o = a ? !!a.enumerable : !1, i = a ? !!a.noTargetGet : !1, v = a && a.name !== void 0 ? a.name : e, s;
  if (Cn(t) && (String(v).slice(0, 7) === "Symbol(" && (v = "[" + String(v).replace(/^Symbol\(([^)]*)\)/, "$1") + "]"), (!hu(t, "name") || Su && t.name !== v) && jn(t, "name", v), s = Tu(t), s.source || (s.source = Iu.join(typeof v == "string" ? v : ""))), r === gu) {
    o ? r[e] = t : Ou(e, t);
    return;
  } else
    n ? !i && r[e] && (o = !0) : delete r[e];
  o ? r[e] = t : jn(r, e, t);
})(Function.prototype, "toString", function() {
  return Cn(this) && Eu(this).source || mu(this);
});
var ev = {}, wu = Math.ceil, Pu = Math.floor, Se = function(r) {
  var e = +r;
  return e !== e || e === 0 ? 0 : (e > 0 ? Pu : wu)(e);
}, Ru = Se, Cu = Math.max, ju = Math.min, _u = function(r, e) {
  var t = Ru(r);
  return t < 0 ? Cu(t + e, 0) : ju(t, e);
}, xu = Se, Nu = Math.min, xr = function(r) {
  return r > 0 ? Nu(xu(r), 9007199254740991) : 0;
}, Au = xr, tv = function(r) {
  return Au(r.length);
}, Lu = ye, Du = _u, Mu = tv, _n = function(r) {
  return function(e, t, a) {
    var n = Lu(e), o = Mu(n), i = Du(a, o), v;
    if (r && t != t) {
      for (; o > i; )
        if (v = n[i++], v != v)
          return !0;
    } else
      for (; o > i; i++)
        if ((r || i in n) && n[i] === t)
          return r || i || 0;
    return !r && -1;
  };
}, av = {
  // `Array.prototype.includes` method
  // https://tc39.es/ecma262/#sec-array.prototype.includes
  includes: _n(!0),
  // `Array.prototype.indexOf` method
  // https://tc39.es/ecma262/#sec-array.prototype.indexof
  indexOf: _n(!1)
}, Fu = O, qe = L, Uu = ye, Bu = av.indexOf, Gu = ma, xn = Fu([].push), nv = function(r, e) {
  var t = Uu(r), a = 0, n = [], o;
  for (o in t)
    !qe(Gu, o) && qe(t, o) && xn(n, o);
  for (; e.length > a; )
    qe(t, o = e[a++]) && (~Bu(n, o) || xn(n, o));
  return n;
}, Ta = [
  "constructor",
  "hasOwnProperty",
  "isPrototypeOf",
  "propertyIsEnumerable",
  "toLocaleString",
  "toString",
  "valueOf"
], Ku = nv, ku = Ta, Vu = ku.concat("length", "prototype");
ev.f = Object.getOwnPropertyNames || function(e) {
  return Ku(e, Vu);
};
var ov = {};
ov.f = Object.getOwnPropertySymbols;
var Wu = G, Yu = O, Hu = ev, qu = ov, zu = I, Ju = Yu([].concat), Xu = Wu("Reflect", "ownKeys") || function(e) {
  var t = Hu.f(zu(e)), a = qu.f;
  return a ? Ju(t, a(e)) : t;
}, Nn = L, Qu = Xu, Zu = $r, rf = Z, ef = function(r, e, t) {
  for (var a = Qu(e), n = rf.f, o = Zu.f, i = 0; i < a.length; i++) {
    var v = a[i];
    !Nn(r, v) && !(t && Nn(t, v)) && n(r, v, o(e, v));
  }
}, tf = E, af = m, nf = /#|\.prototype\./, Nr = function(r, e) {
  var t = vf[of(r)];
  return t == lf ? !0 : t == cf ? !1 : af(e) ? tf(e) : !!e;
}, of = Nr.normalize = function(r) {
  return String(r).replace(nf, ".").toLowerCase();
}, vf = Nr.data = {}, cf = Nr.NATIVE = "N", lf = Nr.POLYFILL = "P", iv = Nr, ze = $, sf = $r.f, uf = Oe, ff = dr.exports, $f = ga, df = ef, pf = iv, N = function(r, e) {
  var t = r.target, a = r.global, n = r.stat, o, i, v, s, l, c;
  if (a ? i = ze : n ? i = ze[t] || $f(t, {}) : i = (ze[t] || {}).prototype, i)
    for (v in e) {
      if (l = e[v], r.noTargetGet ? (c = sf(i, v), s = c && c.value) : s = i[v], o = pf(a ? v : t + (n ? "." : "#") + v, r.forced), !o && s !== void 0) {
        if (typeof l == typeof s)
          continue;
        df(l, s);
      }
      (r.sham || s && s.sham) && uf(l, "sham", !0), ff(i, v, l, r);
    }
}, yf = jr, bf = $, Ia = yf(bf.process) == "process", gf = dr.exports, hf = function(r, e, t) {
  for (var a in e)
    gf(r, a, e[a], t);
  return r;
}, vv = $, Of = m, mf = vv.String, Sf = vv.TypeError, Ef = function(r) {
  if (typeof r == "object" || Of(r))
    return r;
  throw Sf("Can't set " + mf(r) + " as a prototype");
}, Tf = O, If = I, wf = Ef, Pf = Object.setPrototypeOf || ("__proto__" in {} ? function() {
  var r = !1, e = {}, t;
  try {
    t = Tf(Object.getOwnPropertyDescriptor(Object.prototype, "__proto__").set), t(e, []), r = e instanceof Array;
  } catch {
  }
  return function(n, o) {
    return If(n), wf(o), r ? t(n, o) : n.__proto__ = o, n;
  };
}() : void 0), Rf = Z.f, Cf = L, jf = S, An = jf("toStringTag"), _f = function(r, e, t) {
  r && !t && (r = r.prototype), r && !Cf(r, An) && Rf(r, An, { configurable: !0, value: e });
}, xf = G, Nf = Z, Af = S, Lf = U, Ln = Af("species"), Df = function(r) {
  var e = xf(r), t = Nf.f;
  Lf && e && !e[Ln] && t(e, Ln, {
    configurable: !0,
    get: function() {
      return this;
    }
  });
}, Mf = $, Ff = ba, Uf = Mf.TypeError, Bf = function(r, e) {
  if (Ff(e, r))
    return r;
  throw Uf("Incorrect invocation");
}, Gf = S, Kf = Gf("toStringTag"), cv = {};
cv[Kf] = "z";
var kf = String(cv) === "[object z]", Vf = $, Wf = kf, Yf = m, ee = jr, Hf = S, qf = Hf("toStringTag"), zf = Vf.Object, Jf = ee(function() {
  return arguments;
}()) == "Arguments", Xf = function(r, e) {
  try {
    return r[e];
  } catch {
  }
}, wa = Wf ? ee : function(r) {
  var e, t, a;
  return r === void 0 ? "Undefined" : r === null ? "Null" : typeof (t = Xf(e = zf(r), qf)) == "string" ? t : Jf ? ee(e) : (a = ee(e)) == "Object" && Yf(e.callee) ? "Arguments" : a;
}, Qf = O, Zf = E, lv = m, r$ = wa, e$ = G, t$ = me, sv = function() {
}, a$ = [], uv = e$("Reflect", "construct"), Pa = /^\s*(?:class|function)\b/, n$ = Qf(Pa.exec), o$ = !Pa.exec(sv), hr = function(e) {
  if (!lv(e))
    return !1;
  try {
    return uv(sv, a$, e), !0;
  } catch {
    return !1;
  }
}, fv = function(e) {
  if (!lv(e))
    return !1;
  switch (r$(e)) {
    case "AsyncFunction":
    case "GeneratorFunction":
    case "AsyncGeneratorFunction":
      return !1;
  }
  try {
    return o$ || !!n$(Pa, t$(e));
  } catch {
    return !0;
  }
};
fv.sham = !0;
var i$ = !uv || Zf(function() {
  var r;
  return hr(hr.call) || !hr(Object) || !hr(function() {
    r = !0;
  }) || r;
}) ? fv : hr, v$ = $, c$ = i$, l$ = ge, s$ = v$.TypeError, u$ = function(r) {
  if (c$(r))
    return r;
  throw s$(l$(r) + " is not a constructor");
}, Dn = I, f$ = u$, $$ = S, d$ = $$("species"), p$ = function(r, e) {
  var t = Dn(r).constructor, a;
  return t === void 0 || (a = Dn(t)[d$]) == null ? e : f$(a);
}, y$ = pe, $v = Function.prototype, Mn = $v.apply, Fn = $v.call, dv = typeof Reflect == "object" && Reflect.apply || (y$ ? Fn.bind(Mn) : function() {
  return Fn.apply(Mn, arguments);
}), Un = O, b$ = Q, g$ = pe, h$ = Un(Un.bind), Ra = function(r, e) {
  return b$(r), e === void 0 ? r : g$ ? h$(r, e) : function() {
    return r.apply(e, arguments);
  };
}, O$ = G, pv = O$("document", "documentElement"), m$ = O, S$ = m$([].slice), E$ = $, T$ = E$.TypeError, I$ = function(r, e) {
  if (r < e)
    throw T$("Not enough arguments");
  return r;
}, w$ = be, yv = /(?:ipad|iphone|ipod).*applewebkit/i.test(w$), w = $, P$ = dv, R$ = Ra, Bn = m, C$ = L, j$ = E, Gn = pv, _$ = S$, Kn = Oa, x$ = I$, N$ = yv, A$ = Ia, kt = w.setImmediate, Vt = w.clearImmediate, L$ = w.process, Je = w.Dispatch, D$ = w.Function, kn = w.MessageChannel, M$ = w.String, Xe = 0, Tr = {}, Vn = "onreadystatechange", Rr, k, Qe, Ze;
try {
  Rr = w.location;
} catch {
}
var Ca = function(r) {
  if (C$(Tr, r)) {
    var e = Tr[r];
    delete Tr[r], e();
  }
}, rt = function(r) {
  return function() {
    Ca(r);
  };
}, Wn = function(r) {
  Ca(r.data);
}, Yn = function(r) {
  w.postMessage(M$(r), Rr.protocol + "//" + Rr.host);
};
(!kt || !Vt) && (kt = function(e) {
  x$(arguments.length, 1);
  var t = Bn(e) ? e : D$(e), a = _$(arguments, 1);
  return Tr[++Xe] = function() {
    P$(t, void 0, a);
  }, k(Xe), Xe;
}, Vt = function(e) {
  delete Tr[e];
}, A$ ? k = function(r) {
  L$.nextTick(rt(r));
} : Je && Je.now ? k = function(r) {
  Je.now(rt(r));
} : kn && !N$ ? (Qe = new kn(), Ze = Qe.port2, Qe.port1.onmessage = Wn, k = R$(Ze.postMessage, Ze)) : w.addEventListener && Bn(w.postMessage) && !w.importScripts && Rr && Rr.protocol !== "file:" && !j$(Yn) ? (k = Yn, w.addEventListener("message", Wn, !1)) : Vn in Kn("script") ? k = function(r) {
  Gn.appendChild(Kn("script"))[Vn] = function() {
    Gn.removeChild(this), Ca(r);
  };
} : k = function(r) {
  setTimeout(rt(r), 0);
});
var bv = {
  set: kt,
  clear: Vt
}, F$ = be, U$ = $, B$ = /ipad|iphone|ipod/i.test(F$) && U$.Pebble !== void 0, G$ = be, K$ = /web0s(?!.*chrome)/i.test(G$), z = $, Hn = Ra, k$ = $r.f, et = bv.set, V$ = yv, W$ = B$, Y$ = K$, tt = Ia, qn = z.MutationObserver || z.WebKitMutationObserver, zn = z.document, Jn = z.process, Vr = z.Promise, Xn = k$(z, "queueMicrotask"), gv = Xn && Xn.value, Or, W, Ir, vr, at, nt, Wr, Qn;
gv || (Or = function() {
  var r, e;
  for (tt && (r = Jn.domain) && r.exit(); W; ) {
    e = W.fn, W = W.next;
    try {
      e();
    } catch (t) {
      throw W ? vr() : Ir = void 0, t;
    }
  }
  Ir = void 0, r && r.enter();
}, !V$ && !tt && !Y$ && qn && zn ? (at = !0, nt = zn.createTextNode(""), new qn(Or).observe(nt, { characterData: !0 }), vr = function() {
  nt.data = at = !at;
}) : !W$ && Vr && Vr.resolve ? (Wr = Vr.resolve(void 0), Wr.constructor = Vr, Qn = Hn(Wr.then, Wr), vr = function() {
  Qn(Or);
}) : tt ? vr = function() {
  Jn.nextTick(Or);
} : (et = Hn(et, z), vr = function() {
  et(Or);
}));
var H$ = gv || function(r) {
  var e = { fn: r, next: void 0 };
  Ir && (Ir.next = e), W || (W = e, vr()), Ir = e;
}, q$ = $, z$ = function(r, e) {
  var t = q$.console;
  t && t.error && (arguments.length == 1 ? t.error(r) : t.error(r, e));
}, ja = function(r) {
  try {
    return { error: !1, value: r() };
  } catch (e) {
    return { error: !0, value: e };
  }
}, hv = function() {
  this.head = null, this.tail = null;
};
hv.prototype = {
  add: function(r) {
    var e = { item: r, next: null };
    this.head ? this.tail.next = e : this.head = e, this.tail = e;
  },
  get: function() {
    var r = this.head;
    if (r)
      return this.head = r.next, this.tail === r && (this.tail = null), r.item;
  }
};
var J$ = hv, X$ = $, Ee = X$.Promise, Q$ = typeof window == "object" && typeof Deno != "object", Z$ = $, wr = Ee, rd = m, ed = iv, td = me, ad = S, nd = Q$, Zn = Bi;
wr && wr.prototype;
var od = ad("species"), Wt = !1, Ov = rd(Z$.PromiseRejectionEvent), id = ed("Promise", function() {
  var r = td(wr), e = r !== String(wr);
  if (!e && Zn === 66)
    return !0;
  if (Zn >= 51 && /native code/.test(r))
    return !1;
  var t = new wr(function(o) {
    o(1);
  }), a = function(o) {
    o(function() {
    }, function() {
    });
  }, n = t.constructor = {};
  return n[od] = a, Wt = t.then(function() {
  }) instanceof a, Wt ? !e && nd && !Ov : !0;
}), Ar = {
  CONSTRUCTOR: id,
  REJECTION_EVENT: Ov,
  SUBCLASSING: Wt
}, pr = {}, ro = Q, vd = function(r) {
  var e, t;
  this.promise = new r(function(a, n) {
    if (e !== void 0 || t !== void 0)
      throw TypeError("Bad Promise constructor");
    e = a, t = n;
  }), this.resolve = ro(e), this.reject = ro(t);
};
pr.f = function(r) {
  return new vd(r);
};
var cd = N, le = Ia, F = $, fr = T, ld = dr.exports, sd = hf, eo = Pf, ud = _f, fd = Df, $d = Q, te = m, dd = B, pd = Bf, yd = p$, mv = bv.set, _a = H$, bd = z$, gd = ja, hd = J$, Sv = Sa, se = Ee, xa = Ar, Ev = pr, Te = "Promise", Tv = xa.CONSTRUCTOR, Od = xa.REJECTION_EVENT, md = xa.SUBCLASSING, ot = Sv.getterFor(Te), Sd = Sv.set, cr = se && se.prototype, Y = se, Yr = cr, Iv = F.TypeError, Yt = F.document, Na = F.process, Ht = Ev.f, Ed = Ht, Td = !!(Yt && Yt.createEvent && F.dispatchEvent), wv = "unhandledrejection", Id = "rejectionhandled", to = 0, Pv = 1, wd = 2, Aa = 1, Rv = 2, Hr, ao, Pd, no, Cv = function(r) {
  var e;
  return dd(r) && te(e = r.then) ? e : !1;
}, jv = function(r, e) {
  var t = e.value, a = e.state == Pv, n = a ? r.ok : r.fail, o = r.resolve, i = r.reject, v = r.domain, s, l, c;
  try {
    n ? (a || (e.rejection === Rv && Cd(e), e.rejection = Aa), n === !0 ? s = t : (v && v.enter(), s = n(t), v && (v.exit(), c = !0)), s === r.promise ? i(Iv("Promise-chain cycle")) : (l = Cv(s)) ? fr(l, s, o, i) : o(s)) : i(t);
  } catch (u) {
    v && !c && v.exit(), i(u);
  }
}, _v = function(r, e) {
  r.notified || (r.notified = !0, _a(function() {
    for (var t = r.reactions, a; a = t.get(); )
      jv(a, r);
    r.notified = !1, e && !r.rejection && Rd(r);
  }));
}, xv = function(r, e, t) {
  var a, n;
  Td ? (a = Yt.createEvent("Event"), a.promise = e, a.reason = t, a.initEvent(r, !1, !0), F.dispatchEvent(a)) : a = { promise: e, reason: t }, !Od && (n = F["on" + r]) ? n(a) : r === wv && bd("Unhandled promise rejection", t);
}, Rd = function(r) {
  fr(mv, F, function() {
    var e = r.facade, t = r.value, a = oo(r), n;
    if (a && (n = gd(function() {
      le ? Na.emit("unhandledRejection", t, e) : xv(wv, e, t);
    }), r.rejection = le || oo(r) ? Rv : Aa, n.error))
      throw n.value;
  });
}, oo = function(r) {
  return r.rejection !== Aa && !r.parent;
}, Cd = function(r) {
  fr(mv, F, function() {
    var e = r.facade;
    le ? Na.emit("rejectionHandled", e) : xv(Id, e, r.value);
  });
}, lr = function(r, e, t) {
  return function(a) {
    r(e, a, t);
  };
}, ur = function(r, e, t) {
  r.done || (r.done = !0, t && (r = t), r.value = e, r.state = wd, _v(r, !0));
}, qt = function(r, e, t) {
  if (!r.done) {
    r.done = !0, t && (r = t);
    try {
      if (r.facade === e)
        throw Iv("Promise can't be resolved itself");
      var a = Cv(e);
      a ? _a(function() {
        var n = { done: !1 };
        try {
          fr(
            a,
            e,
            lr(qt, n, r),
            lr(ur, n, r)
          );
        } catch (o) {
          ur(n, o, r);
        }
      }) : (r.value = e, r.state = Pv, _v(r, !1));
    } catch (n) {
      ur({ done: !1 }, n, r);
    }
  }
};
if (Tv && (Y = function(e) {
  pd(this, Yr), $d(e), fr(Hr, this);
  var t = ot(this);
  try {
    e(lr(qt, t), lr(ur, t));
  } catch (a) {
    ur(t, a);
  }
}, Yr = Y.prototype, Hr = function(e) {
  Sd(this, {
    type: Te,
    done: !1,
    notified: !1,
    parent: !1,
    reactions: new hd(),
    rejection: !1,
    state: to,
    value: void 0
  });
}, Hr.prototype = sd(Yr, {
  // `Promise.prototype.then` method
  // https://tc39.es/ecma262/#sec-promise.prototype.then
  // eslint-disable-next-line unicorn/no-thenable -- safe
  then: function(e, t) {
    var a = ot(this), n = Ht(yd(this, Y));
    return a.parent = !0, n.ok = te(e) ? e : !0, n.fail = te(t) && t, n.domain = le ? Na.domain : void 0, a.state == to ? a.reactions.add(n) : _a(function() {
      jv(n, a);
    }), n.promise;
  }
}), ao = function() {
  var r = new Hr(), e = ot(r);
  this.promise = r, this.resolve = lr(qt, e), this.reject = lr(ur, e);
}, Ev.f = Ht = function(r) {
  return r === Y || r === Pd ? new ao(r) : Ed(r);
}, te(se) && cr !== Object.prototype)) {
  no = cr.then, md || ld(cr, "then", function(e, t) {
    var a = this;
    return new Y(function(n, o) {
      fr(no, a, n, o);
    }).then(e, t);
  }, { unsafe: !0 });
  try {
    delete cr.constructor;
  } catch {
  }
  eo && eo(cr, Yr);
}
cd({ global: !0, wrap: !0, forced: Tv }, {
  Promise: Y
});
ud(Y, Te, !1);
fd(Te);
var Nv = {}, jd = S, _d = Nv, xd = jd("iterator"), Nd = Array.prototype, Ad = function(r) {
  return r !== void 0 && (_d.Array === r || Nd[xd] === r);
}, Ld = wa, io = _r, Dd = Nv, Md = S, Fd = Md("iterator"), Av = function(r) {
  if (r != null)
    return io(r, Fd) || io(r, "@@iterator") || Dd[Ld(r)];
}, Ud = $, Bd = T, Gd = Q, Kd = I, kd = ge, Vd = Av, Wd = Ud.TypeError, Yd = function(r, e) {
  var t = arguments.length < 2 ? Vd(r) : e;
  if (Gd(t))
    return Kd(Bd(t, r));
  throw Wd(kd(r) + " is not iterable");
}, Hd = T, vo = I, qd = _r, zd = function(r, e, t) {
  var a, n;
  vo(r);
  try {
    if (a = qd(r, "return"), !a) {
      if (e === "throw")
        throw t;
      return t;
    }
    a = Hd(a, r);
  } catch (o) {
    n = !0, a = o;
  }
  if (e === "throw")
    throw t;
  if (n)
    throw a;
  return vo(a), t;
}, Jd = $, Xd = Ra, Qd = T, Zd = I, rp = ge, ep = Ad, tp = tv, co = ba, ap = Yd, np = Av, lo = zd, op = Jd.TypeError, ae = function(r, e) {
  this.stopped = r, this.result = e;
}, so = ae.prototype, Lv = function(r, e, t) {
  var a = t && t.that, n = !!(t && t.AS_ENTRIES), o = !!(t && t.IS_ITERATOR), i = !!(t && t.INTERRUPTED), v = Xd(e, a), s, l, c, u, f, y, d, p = function(b) {
    return s && lo(s, "normal", b), new ae(!0, b);
  }, g = function(b) {
    return n ? (Zd(b), i ? v(b[0], b[1], p) : v(b[0], b[1])) : i ? v(b, p) : v(b);
  };
  if (o)
    s = r;
  else {
    if (l = np(r), !l)
      throw op(rp(r) + " is not iterable");
    if (ep(l)) {
      for (c = 0, u = tp(r); u > c; c++)
        if (f = g(r[c]), f && co(so, f))
          return f;
      return new ae(!1);
    }
    s = ap(r, l);
  }
  for (y = s.next; !(d = Qd(y, s)).done; ) {
    try {
      f = g(d.value);
    } catch (b) {
      lo(s, "throw", b);
    }
    if (typeof f == "object" && f && co(so, f))
      return f;
  }
  return new ae(!1);
}, ip = S, Dv = ip("iterator"), Mv = !1;
try {
  var vp = 0, uo = {
    next: function() {
      return { done: !!vp++ };
    },
    return: function() {
      Mv = !0;
    }
  };
  uo[Dv] = function() {
    return this;
  }, Array.from(uo, function() {
    throw 2;
  });
} catch {
}
var cp = function(r, e) {
  if (!e && !Mv)
    return !1;
  var t = !1;
  try {
    var a = {};
    a[Dv] = function() {
      return {
        next: function() {
          return { done: t = !0 };
        }
      };
    }, r(a);
  } catch {
  }
  return t;
}, lp = Ee, sp = cp, up = Ar.CONSTRUCTOR, Fv = up || !sp(function(r) {
  lp.all(r).then(void 0, function() {
  });
}), fp = N, $p = T, dp = Q, pp = pr, yp = ja, bp = Lv, gp = Fv;
fp({ target: "Promise", stat: !0, forced: gp }, {
  all: function(e) {
    var t = this, a = pp.f(t), n = a.resolve, o = a.reject, i = yp(function() {
      var v = dp(t.resolve), s = [], l = 0, c = 1;
      bp(e, function(u) {
        var f = l++, y = !1;
        c++, $p(v, t, u).then(function(d) {
          y || (y = !0, s[f] = d, --c || n(s));
        }, o);
      }), --c || n(s);
    });
    return i.error && o(i.value), a.promise;
  }
});
var hp = N, Op = Ar.CONSTRUCTOR, zt = Ee, mp = G, Sp = m, Ep = dr.exports, fo = zt && zt.prototype;
hp({ target: "Promise", proto: !0, forced: Op, real: !0 }, {
  catch: function(r) {
    return this.then(void 0, r);
  }
});
if (Sp(zt)) {
  var $o = mp("Promise").prototype.catch;
  fo.catch !== $o && Ep(fo, "catch", $o, { unsafe: !0 });
}
var Tp = N, Ip = T, wp = Q, Pp = pr, Rp = ja, Cp = Lv, jp = Fv;
Tp({ target: "Promise", stat: !0, forced: jp }, {
  race: function(e) {
    var t = this, a = Pp.f(t), n = a.reject, o = Rp(function() {
      var i = wp(t.resolve);
      Cp(e, function(v) {
        Ip(i, t, v).then(a.resolve, n);
      });
    });
    return o.error && n(o.value), a.promise;
  }
});
var _p = N, xp = T, Np = pr, Ap = Ar.CONSTRUCTOR;
_p({ target: "Promise", stat: !0, forced: Ap }, {
  reject: function(e) {
    var t = Np.f(this);
    return xp(t.reject, void 0, e), t.promise;
  }
});
var Lp = I, Dp = B, Mp = pr, Fp = function(r, e) {
  if (Lp(r), Dp(e) && e.constructor === r)
    return e;
  var t = Mp.f(r), a = t.resolve;
  return a(e), t.promise;
}, Up = N, Bp = G, Gp = Ar.CONSTRUCTOR, Kp = Fp;
Bp("Promise");
Up({ target: "Promise", stat: !0, forced: Gp }, {
  resolve: function(e) {
    return Kp(this, e);
  }
});
var kp = $, Vp = wa, Wp = kp.String, yr = function(r) {
  if (Vp(r) === "Symbol")
    throw TypeError("Cannot convert a Symbol value to a string");
  return Wp(r);
}, Yp = I, Hp = function() {
  var r = Yp(this), e = "";
  return r.hasIndices && (e += "d"), r.global && (e += "g"), r.ignoreCase && (e += "i"), r.multiline && (e += "m"), r.dotAll && (e += "s"), r.unicode && (e += "u"), r.sticky && (e += "y"), e;
}, La = E, qp = $, Da = qp.RegExp, Ma = La(function() {
  var r = Da("a", "y");
  return r.lastIndex = 2, r.exec("abcd") != null;
}), zp = Ma || La(function() {
  return !Da("a", "y").sticky;
}), Jp = Ma || La(function() {
  var r = Da("^r", "gy");
  return r.lastIndex = 2, r.exec("str") != null;
}), Xp = {
  BROKEN_CARET: Jp,
  MISSED_STICKY: zp,
  UNSUPPORTED_Y: Ma
}, Uv = {}, Qp = nv, Zp = Ta, ry = Object.keys || function(e) {
  return Qp(e, Zp);
}, ey = U, ty = zi, ay = Z, ny = I, oy = ye, iy = ry;
Uv.f = ey && !ty ? Object.defineProperties : function(e, t) {
  ny(e);
  for (var a = oy(t), n = iy(t), o = n.length, i = 0, v; o > i; )
    ay.f(e, v = n[i++], a[v]);
  return e;
};
var vy = I, cy = Uv, po = Ta, ly = ma, sy = pv, uy = Oa, fy = Xi, yo = ">", bo = "<", Jt = "prototype", Xt = "script", Bv = fy("IE_PROTO"), it = function() {
}, Gv = function(r) {
  return bo + Xt + yo + r + bo + "/" + Xt + yo;
}, go = function(r) {
  r.write(Gv("")), r.close();
  var e = r.parentWindow.Object;
  return r = null, e;
}, $y = function() {
  var r = uy("iframe"), e = "java" + Xt + ":", t;
  return r.style.display = "none", sy.appendChild(r), r.src = String(e), t = r.contentWindow.document, t.open(), t.write(Gv("document.F=Object")), t.close(), t.F;
}, qr, ne = function() {
  try {
    qr = new ActiveXObject("htmlfile");
  } catch {
  }
  ne = typeof document < "u" ? document.domain && qr ? go(qr) : $y() : go(qr);
  for (var r = po.length; r--; )
    delete ne[Jt][po[r]];
  return ne();
};
ly[Bv] = !0;
var Kv = Object.create || function(e, t) {
  var a;
  return e !== null ? (it[Jt] = vy(e), a = new it(), it[Jt] = null, a[Bv] = e) : a = ne(), t === void 0 ? a : cy.f(a, t);
}, dy = E, py = $, yy = py.RegExp, by = dy(function() {
  var r = yy(".", "s");
  return !(r.dotAll && r.exec(`
`) && r.flags === "s");
}), gy = E, hy = $, Oy = hy.RegExp, my = gy(function() {
  var r = Oy("(?<a>b)", "g");
  return r.exec("b").groups.a !== "b" || "b".replace(r, "$<a>c") !== "bc";
}), sr = T, Ie = O, Sy = yr, Ey = Hp, Ty = Xp, Iy = he.exports, wy = Kv, Py = Sa.get, Ry = by, Cy = my, jy = Iy("native-string-replace", String.prototype.replace), ue = RegExp.prototype.exec, Qt = ue, _y = Ie("".charAt), xy = Ie("".indexOf), Ny = Ie("".replace), vt = Ie("".slice), Zt = function() {
  var r = /a/, e = /b*/g;
  return sr(ue, r, "a"), sr(ue, e, "a"), r.lastIndex !== 0 || e.lastIndex !== 0;
}(), kv = Ty.BROKEN_CARET, ra = /()??/.exec("")[1] !== void 0, Ay = Zt || ra || kv || Ry || Cy;
Ay && (Qt = function(e) {
  var t = this, a = Py(t), n = Sy(e), o = a.raw, i, v, s, l, c, u, f;
  if (o)
    return o.lastIndex = t.lastIndex, i = sr(Qt, o, n), t.lastIndex = o.lastIndex, i;
  var y = a.groups, d = kv && t.sticky, p = sr(Ey, t), g = t.source, b = 0, C = n;
  if (d && (p = Ny(p, "y", ""), xy(p, "g") === -1 && (p += "g"), C = vt(n, t.lastIndex), t.lastIndex > 0 && (!t.multiline || t.multiline && _y(n, t.lastIndex - 1) !== `
`) && (g = "(?: " + g + ")", C = " " + C, b++), v = new RegExp("^(?:" + g + ")", p)), ra && (v = new RegExp("^" + g + "$(?!\\s)", p)), Zt && (s = t.lastIndex), l = sr(ue, d ? v : t, C), d ? l ? (l.input = vt(l.input, b), l[0] = vt(l[0], b), l.index = t.lastIndex, t.lastIndex += l[0].length) : t.lastIndex = 0 : Zt && l && (t.lastIndex = t.global ? l.index + l[0].length : s), ra && l && l.length > 1 && sr(jy, l[0], v, function() {
    for (c = 1; c < arguments.length - 2; c++)
      arguments[c] === void 0 && (l[c] = void 0);
  }), l && y)
    for (l.groups = u = wy(null), c = 0; c < y.length; c++)
      f = y[c], u[f[0]] = l[f[1]];
  return l;
});
var Fa = Qt, Ly = N, ho = Fa;
Ly({ target: "RegExp", proto: !0, forced: /./.exec !== ho }, {
  exec: ho
});
var Oo = O, mo = dr.exports, Dy = Fa, So = E, Vv = S, My = Oe, Fy = Vv("species"), ct = RegExp.prototype, Wv = function(r, e, t, a) {
  var n = Vv(r), o = !So(function() {
    var l = {};
    return l[n] = function() {
      return 7;
    }, ""[r](l) != 7;
  }), i = o && !So(function() {
    var l = !1, c = /a/;
    return r === "split" && (c = {}, c.constructor = {}, c.constructor[Fy] = function() {
      return c;
    }, c.flags = "", c[n] = /./[n]), c.exec = function() {
      return l = !0, null;
    }, c[n](""), !l;
  });
  if (!o || !i || t) {
    var v = Oo(/./[n]), s = e(n, ""[r], function(l, c, u, f, y) {
      var d = Oo(l), p = c.exec;
      return p === Dy || p === ct.exec ? o && !y ? { done: !0, value: v(c, u, f) } : { done: !0, value: d(u, c, f) } : { done: !1 };
    });
    mo(String.prototype, r, s[0]), mo(ct, n, s[1]);
  }
  a && My(ct[n], "sham", !0);
}, Ua = O, Uy = Se, By = yr, Gy = X, Ky = Ua("".charAt), Eo = Ua("".charCodeAt), ky = Ua("".slice), To = function(r) {
  return function(e, t) {
    var a = By(Gy(e)), n = Uy(t), o = a.length, i, v;
    return n < 0 || n >= o ? r ? "" : void 0 : (i = Eo(a, n), i < 55296 || i > 56319 || n + 1 === o || (v = Eo(a, n + 1)) < 56320 || v > 57343 ? r ? Ky(a, n) : i : r ? ky(a, n, n + 2) : (i - 55296 << 10) + (v - 56320) + 65536);
  };
}, Vy = {
  // `String.prototype.codePointAt` method
  // https://tc39.es/ecma262/#sec-string.prototype.codepointat
  codeAt: To(!1),
  // `String.prototype.at` method
  // https://github.com/mathiasbynens/String.prototype.at
  charAt: To(!0)
}, Wy = Vy.charAt, Yv = function(r, e, t) {
  return e + (t ? Wy(r, e).length : 1);
}, Yy = $, Io = T, Hy = I, qy = m, zy = jr, Jy = Fa, Xy = Yy.TypeError, Hv = function(r, e) {
  var t = r.exec;
  if (qy(t)) {
    var a = Io(t, r, e);
    return a !== null && Hy(a), a;
  }
  if (zy(r) === "RegExp")
    return Io(Jy, r, e);
  throw Xy("RegExp#exec called on incompatible receiver");
}, Qy = T, Zy = Wv, rb = I, eb = xr, lt = yr, tb = X, ab = _r, nb = Yv, wo = Hv;
Zy("match", function(r, e, t) {
  return [
    // `String.prototype.match` method
    // https://tc39.es/ecma262/#sec-string.prototype.match
    function(n) {
      var o = tb(this), i = n == null ? void 0 : ab(n, r);
      return i ? Qy(i, n, o) : new RegExp(n)[r](lt(o));
    },
    // `RegExp.prototype[@@match]` method
    // https://tc39.es/ecma262/#sec-regexp.prototype-@@match
    function(a) {
      var n = rb(this), o = lt(a), i = t(e, n, o);
      if (i.done)
        return i.value;
      if (!n.global)
        return wo(n, o);
      var v = n.unicode;
      n.lastIndex = 0;
      for (var s = [], l = 0, c; (c = wo(n, o)) !== null; ) {
        var u = lt(c[0]);
        s[l] = u, u === "" && (n.lastIndex = nb(o, eb(n.lastIndex), v)), l++;
      }
      return l === 0 ? null : s;
    }
  ];
});
var Ba = O, ob = Vi, ib = Math.floor, st = Ba("".charAt), vb = Ba("".replace), ut = Ba("".slice), cb = /\$([$&'`]|\d{1,2}|<[^>]*>)/g, lb = /\$([$&'`]|\d{1,2})/g, sb = function(r, e, t, a, n, o) {
  var i = t + r.length, v = a.length, s = lb;
  return n !== void 0 && (n = ob(n), s = cb), vb(o, s, function(l, c) {
    var u;
    switch (st(c, 0)) {
      case "$":
        return "$";
      case "&":
        return r;
      case "`":
        return ut(e, 0, t);
      case "'":
        return ut(e, i);
      case "<":
        u = n[ut(c, 1, -1)];
        break;
      default:
        var f = +c;
        if (f === 0)
          return l;
        if (f > v) {
          var y = ib(f / 10);
          return y === 0 ? l : y <= v ? a[y - 1] === void 0 ? st(c, 1) : a[y - 1] + st(c, 1) : l;
        }
        u = a[f - 1];
    }
    return u === void 0 ? "" : u;
  });
}, ub = dv, Po = T, we = O, fb = Wv, $b = E, db = I, pb = m, yb = Se, bb = xr, ar = yr, gb = X, hb = Yv, Ob = _r, mb = sb, Sb = Hv, Eb = S, ea = Eb("replace"), Tb = Math.max, Ib = Math.min, wb = we([].concat), ft = we([].push), Ro = we("".indexOf), Co = we("".slice), Pb = function(r) {
  return r === void 0 ? r : String(r);
}, Rb = function() {
  return "a".replace(/./, "$0") === "$0";
}(), jo = function() {
  return /./[ea] ? /./[ea]("a", "$0") === "" : !1;
}(), Cb = !$b(function() {
  var r = /./;
  return r.exec = function() {
    var e = [];
    return e.groups = { a: "7" }, e;
  }, "".replace(r, "$<a>") !== "7";
});
fb("replace", function(r, e, t) {
  var a = jo ? "$" : "$0";
  return [
    // `String.prototype.replace` method
    // https://tc39.es/ecma262/#sec-string.prototype.replace
    function(o, i) {
      var v = gb(this), s = o == null ? void 0 : Ob(o, ea);
      return s ? Po(s, o, v, i) : Po(e, ar(v), o, i);
    },
    // `RegExp.prototype[@@replace]` method
    // https://tc39.es/ecma262/#sec-regexp.prototype-@@replace
    function(n, o) {
      var i = db(this), v = ar(n);
      if (typeof o == "string" && Ro(o, a) === -1 && Ro(o, "$<") === -1) {
        var s = t(e, i, v, o);
        if (s.done)
          return s.value;
      }
      var l = pb(o);
      l || (o = ar(o));
      var c = i.global;
      if (c) {
        var u = i.unicode;
        i.lastIndex = 0;
      }
      for (var f = []; ; ) {
        var y = Sb(i, v);
        if (y === null || (ft(f, y), !c))
          break;
        var d = ar(y[0]);
        d === "" && (i.lastIndex = hb(v, bb(i.lastIndex), u));
      }
      for (var p = "", g = 0, b = 0; b < f.length; b++) {
        y = f[b];
        for (var C = ar(y[0]), gr = Tb(Ib(yb(y.index), v.length), 0), Ce = [], je = 1; je < y.length; je++)
          ft(Ce, Pb(y[je]));
        var _e = y.groups;
        if (l) {
          var tn = wb([C], Ce, gr, v);
          _e !== void 0 && ft(tn, _e);
          var an = ar(ub(o, void 0, tn));
        } else
          an = mb(C, v, gr, Ce, _e, o);
        gr >= g && (p += Co(v, g, gr) + an, g = gr + C.length);
      }
      return p + Co(v, g);
    }
  ];
}, !Cb || !Rb || jo);
var jb = B, _b = jr, xb = S, Nb = xb("match"), Ab = function(r) {
  var e;
  return jb(r) && ((e = r[Nb]) !== void 0 ? !!e : _b(r) == "RegExp");
}, Lb = $, Db = Ab, Mb = Lb.TypeError, qv = function(r) {
  if (Db(r))
    throw Mb("The method doesn't accept regular expressions");
  return r;
}, Fb = S, Ub = Fb("match"), zv = function(r) {
  var e = /./;
  try {
    "/./"[r](e);
  } catch {
    try {
      return e[Ub] = !1, "/./"[r](e);
    } catch {
    }
  }
  return !1;
}, Bb = N, Jv = O, Gb = $r.f, Kb = xr, _o = yr, kb = qv, Vb = X, Wb = zv, xo = Jv("".startsWith), Yb = Jv("".slice), Hb = Math.min, Xv = Wb("startsWith"), qb = !Xv && !!function() {
  var r = Gb(String.prototype, "startsWith");
  return r && !r.writable;
}();
Bb({ target: "String", proto: !0, forced: !qb && !Xv }, {
  startsWith: function(e) {
    var t = _o(Vb(this));
    kb(e);
    var a = Kb(Hb(arguments.length > 1 ? arguments[1] : void 0, t.length)), n = _o(e);
    return xo ? xo(t, n, a) : Yb(t, a, a + n.length) === n;
  }
});
var zb = S, Jb = Kv, Xb = Z, ta = zb("unscopables"), aa = Array.prototype;
aa[ta] == null && Xb.f(aa, ta, {
  configurable: !0,
  value: Jb(null)
});
var Qb = function(r) {
  aa[ta][r] = !0;
}, Zb = N, rg = av.includes, eg = Qb;
Zb({ target: "Array", proto: !0 }, {
  includes: function(e) {
    return rg(this, e, arguments.length > 1 ? arguments[1] : void 0);
  }
});
eg("includes");
var tg = N, Qv = O, ag = $r.f, ng = xr, No = yr, og = qv, ig = X, vg = zv, Ao = Qv("".endsWith), cg = Qv("".slice), lg = Math.min, Zv = vg("endsWith"), sg = !Zv && !!function() {
  var r = ag(String.prototype, "endsWith");
  return r && !r.writable;
}();
tg({ target: "String", proto: !0, forced: !sg && !Zv }, {
  endsWith: function(e) {
    var t = No(ig(this));
    og(e);
    var a = arguments.length > 1 ? arguments[1] : void 0, n = t.length, o = a === void 0 ? n : lg(ng(a), n), i = No(e);
    return Ao ? Ao(t, i, o) : cg(t, o - i.length, o) === i;
  }
});
function ug(r, e, t, a) {
  function n(o) {
    return o instanceof t ? o : new t(function(i) {
      i(o);
    });
  }
  return new (t || (t = Promise))(function(o, i) {
    function v(c) {
      try {
        l(a.next(c));
      } catch (u) {
        i(u);
      }
    }
    function s(c) {
      try {
        l(a.throw(c));
      } catch (u) {
        i(u);
      }
    }
    function l(c) {
      c.done ? o(c.value) : n(c.value).then(v, s);
    }
    l((a = a.apply(r, e || [])).next());
  });
}
const fg = (r) => new Promise((e, t) => {
  try {
    const a = new XMLHttpRequest();
    a.open("GET", r, !0), a.responseType = "blob", a.onload = () => {
      const n = new FileReader();
      n.readAsArrayBuffer(a.response), n.onloadend = () => {
        e(n.result);
      };
    }, a.send();
  } catch {
    t(`error while retrieving file ${r}.`);
  }
}), $g = (r) => {
  if (r) {
    const e = r.src;
    r.src = "about:blank", setTimeout(() => {
      r && (r.src = e);
    }, 100);
  }
}, na = (r) => {
  const e = r.match(/^(https?\:)\/\/(([^:\/?#]*)(?:\:([0-9]+))?)([\/]{0,1}[^?#]*)(\?[^#]*|)(#.*|)$/);
  return e && {
    href: r,
    protocol: e[1],
    host: e[2],
    hostname: e[3],
    port: e[4],
    pathname: e[5],
    search: e[6],
    hash: e[7]
  };
}, dg = (r) => ug(void 0, void 0, void 0, function* () {
  mammoth || console.error("Please install mammoth and make sure mammoth.browser.min.js is loaded.");
  const e = yield fg(r);
  return (yield mammoth.convertToHtml({
    arrayBuffer: e
  })).value;
}), pg = () => {
  let r = null, e = 0;
  return {
    subscribe: (t, a = 3e3, n = 5) => {
      if (rc(t))
        r && clearInterval(r);
      else
        return r = setInterval(() => {
          e++, e >= n && clearInterval(r), $g(t);
        }, a), r;
    },
    unsubscribe: () => {
      r && clearInterval(r);
    }
  };
}, rc = (r) => {
  var e;
  let t = !1;
  try {
    yg() ? t = !(!((e = r == null ? void 0 : r.contentWindow) === null || e === void 0) && e.document) : t = !(r != null && r.contentDocument);
  } catch {
  }
  return t;
}, yg = () => /MSIE (\d+\.\d+);/.test(navigator.userAgent) || navigator.userAgent.indexOf("Trident/") > -1, Lo = (r, e = "google", t = "", a = "") => {
  switch (e) {
    case "google":
      a = "https://docs.google.com/gview?url=%URL%&embedded=true";
      break;
    case "office": {
      a = "https://view.officeapps.live.com/op/embed.aspx?src=%URL%";
      break;
    }
    case "pdf": {
      a = "";
      break;
    }
  }
  const n = e === "google" || e === "office" || e === "url", o = r != null && r.indexOf("/") ? encodeURIComponent(r) : r;
  let i = a ? a.replace("%URL%", o) : r;
  if (t && n && e !== "url") {
    const v = t.startsWith("&") ? "" : "&";
    i = `${i}${v}${t}`;
  }
  return {
    url: i,
    externalViewer: n
  };
}, bg = (r, e) => {
  const t = na(r), a = na(e);
  return t && a ? r.replace(t.port ? `${t.hostname}:${t.port}` : t.hostname, a.port ? `${a.hostname}:${a.port}` : a.hostname) : r;
}, gg = (r) => {
  const e = na(r), t = (e == null ? void 0 : e.hostname) || "";
  return ["localhost", "127.0.0.1", "", "::1"].includes(t) || t.startsWith("192.168.") || t.startsWith("10.0.") || t.endsWith(".local");
};
var Do = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {}, zr = function(r) {
  return r && r.Math == Math && r;
}, h = (
  // eslint-disable-next-line es-x/no-global-this -- safe
  zr(typeof globalThis == "object" && globalThis) || zr(typeof window == "object" && window) || // eslint-disable-next-line no-restricted-globals -- safe
  zr(typeof self == "object" && self) || zr(typeof Do == "object" && Do) || // eslint-disable-next-line no-new-func -- fallback
  function() {
    return this;
  }() || Function("return this")()
), A = function(r) {
  try {
    return !!r();
  } catch {
    return !0;
  }
}, hg = A, ec = !hg(function() {
  var r = (function() {
  }).bind();
  return typeof r != "function" || r.hasOwnProperty("prototype");
}), tc = ec, ac = Function.prototype, Og = ac.bind, oa = ac.call, mg = tc && Og.bind(oa, oa), x = tc ? function(r) {
  return r && mg(r);
} : function(r) {
  return r && function() {
    return oa.apply(r, arguments);
  };
}, nc = x, Sg = nc({}.toString), Eg = nc("".slice), Tg = function(r) {
  return Eg(Sg(r), 8, -1);
}, Ig = h, wg = x, Pg = A, Rg = Tg, $t = Ig.Object, Cg = wg("".split), oc = Pg(function() {
  return !$t("z").propertyIsEnumerable(0);
}) ? function(r) {
  return Rg(r) == "String" ? Cg(r, "") : $t(r);
} : $t, jg = h, _g = jg.TypeError, ic = function(r) {
  if (r == null)
    throw _g("Can't call method on " + r);
  return r;
}, xg = oc, Ng = ic, Lr = function(r) {
  return xg(Ng(r));
}, Ga = { exports: {} }, Mo = h, Ag = Object.defineProperty, Ka = function(r, e) {
  try {
    Ag(Mo, r, { value: e, configurable: !0, writable: !0 });
  } catch {
    Mo[r] = e;
  }
  return e;
}, Lg = h, Dg = Ka, Fo = "__core-js_shared__", Mg = Lg[Fo] || Dg(Fo, {}), ka = Mg, Uo = ka;
(Ga.exports = function(r, e) {
  return Uo[r] || (Uo[r] = e !== void 0 ? e : {});
})("versions", []).push({
  version: "3.22.2",
  mode: "global",
  copyright: "© 2014-2022 Denis Pushkarev (zloirock.ru)",
  license: "https://github.com/zloirock/core-js/blob/v3.22.2/LICENSE",
  source: "https://github.com/zloirock/core-js"
});
var Fg = h, Ug = ic, Bg = Fg.Object, Va = function(r) {
  return Bg(Ug(r));
}, Gg = x, Kg = Va, kg = Gg({}.hasOwnProperty), D = Object.hasOwn || function(e, t) {
  return kg(Kg(e), t);
}, Vg = x, Wg = 0, Yg = Math.random(), Hg = Vg(1 .toString), vc = function(r) {
  return "Symbol(" + (r === void 0 ? "" : r) + ")_" + Hg(++Wg + Yg, 36);
}, P = function(r) {
  return typeof r == "function";
}, dt = h, qg = P, zg = function(r) {
  return qg(r) ? r : void 0;
}, Pe = function(r, e) {
  return arguments.length < 2 ? zg(dt[r]) : dt[r] && dt[r][e];
}, Jg = Pe, Xg = Jg("navigator", "userAgent") || "", cc = h, pt = Xg, Bo = cc.process, Go = cc.Deno, Ko = Bo && Bo.versions || Go && Go.version, ko = Ko && Ko.v8, _, fe;
ko && (_ = ko.split("."), fe = _[0] > 0 && _[0] < 4 ? 1 : +(_[0] + _[1]));
!fe && pt && (_ = pt.match(/Edge\/(\d+)/), (!_ || _[1] >= 74) && (_ = pt.match(/Chrome\/(\d+)/), _ && (fe = +_[1])));
var Qg = fe, Vo = Qg, Zg = A, lc = !!Object.getOwnPropertySymbols && !Zg(function() {
  var r = Symbol();
  return !String(r) || !(Object(r) instanceof Symbol) || // Chrome 38-40 symbols are not inherited from DOM collections prototypes to instances
  !Symbol.sham && Vo && Vo < 41;
}), rh = lc, sc = rh && !Symbol.sham && typeof Symbol.iterator == "symbol", eh = h, th = Ga.exports, Wo = D, ah = vc, Yo = lc, uc = sc, nr = th("wks"), q = eh.Symbol, Ho = q && q.for, nh = uc ? q : q && q.withoutSetter || ah, br = function(r) {
  if (!Wo(nr, r) || !(Yo || typeof nr[r] == "string")) {
    var e = "Symbol." + r;
    Yo && Wo(q, r) ? nr[r] = q[r] : uc && Ho ? nr[r] = Ho(e) : nr[r] = nh(e);
  }
  return nr[r];
}, oh = P, Dr = function(r) {
  return typeof r == "object" ? r !== null : oh(r);
}, fc = h, ih = Dr, vh = fc.String, ch = fc.TypeError, Mr = function(r) {
  if (ih(r))
    return r;
  throw ch(vh(r) + " is not an object");
}, $c = {}, lh = A, M = !lh(function() {
  return Object.defineProperty({}, 1, { get: function() {
    return 7;
  } })[1] != 7;
}), sh = M, uh = A, dc = sh && uh(function() {
  return Object.defineProperty(function() {
  }, "prototype", {
    value: 42,
    writable: !1
  }).prototype != 42;
}), rr = {}, fh = h, qo = Dr, ia = fh.document, $h = qo(ia) && qo(ia.createElement), Wa = function(r) {
  return $h ? ia.createElement(r) : {};
}, dh = M, ph = A, yh = Wa, pc = !dh && !ph(function() {
  return Object.defineProperty(yh("div"), "a", {
    get: function() {
      return 7;
    }
  }).a != 7;
}), bh = ec, Jr = Function.prototype.call, Fr = bh ? Jr.bind(Jr) : function() {
  return Jr.apply(Jr, arguments);
}, gh = x, hh = gh({}.isPrototypeOf), Oh = h, mh = Pe, Sh = P, Eh = hh, Th = sc, Ih = Oh.Object, yc = Th ? function(r) {
  return typeof r == "symbol";
} : function(r) {
  var e = mh("Symbol");
  return Sh(e) && Eh(e.prototype, Ih(r));
}, wh = h, Ph = wh.String, Rh = function(r) {
  try {
    return Ph(r);
  } catch {
    return "Object";
  }
}, Ch = h, jh = P, _h = Rh, xh = Ch.TypeError, Nh = function(r) {
  if (jh(r))
    return r;
  throw xh(_h(r) + " is not a function");
}, Ah = Nh, Lh = function(r, e) {
  var t = r[e];
  return t == null ? void 0 : Ah(t);
}, Dh = h, yt = Fr, bt = P, gt = Dr, Mh = Dh.TypeError, Fh = function(r, e) {
  var t, a;
  if (e === "string" && bt(t = r.toString) && !gt(a = yt(t, r)) || bt(t = r.valueOf) && !gt(a = yt(t, r)) || e !== "string" && bt(t = r.toString) && !gt(a = yt(t, r)))
    return a;
  throw Mh("Can't convert object to primitive value");
}, Uh = h, Bh = Fr, zo = Dr, Jo = yc, Gh = Lh, Kh = Fh, kh = br, Vh = Uh.TypeError, Wh = kh("toPrimitive"), Yh = function(r, e) {
  if (!zo(r) || Jo(r))
    return r;
  var t = Gh(r, Wh), a;
  if (t) {
    if (e === void 0 && (e = "default"), a = Bh(t, r, e), !zo(a) || Jo(a))
      return a;
    throw Vh("Can't convert object to primitive value");
  }
  return e === void 0 && (e = "number"), Kh(r, e);
}, Hh = Yh, qh = yc, bc = function(r) {
  var e = Hh(r, "string");
  return qh(e) ? e : e + "";
}, zh = h, Jh = M, Xh = pc, Qh = dc, Xr = Mr, Xo = bc, Zh = zh.TypeError, ht = Object.defineProperty, r1 = Object.getOwnPropertyDescriptor, Ot = "enumerable", mt = "configurable", St = "writable";
rr.f = Jh ? Qh ? function(e, t, a) {
  if (Xr(e), t = Xo(t), Xr(a), typeof e == "function" && t === "prototype" && "value" in a && St in a && !a[St]) {
    var n = r1(e, t);
    n && n[St] && (e[t] = a.value, a = {
      configurable: mt in a ? a[mt] : n[mt],
      enumerable: Ot in a ? a[Ot] : n[Ot],
      writable: !1
    });
  }
  return ht(e, t, a);
} : ht : function(e, t, a) {
  if (Xr(e), t = Xo(t), Xr(a), Xh)
    try {
      return ht(e, t, a);
    } catch {
    }
  if ("get" in a || "set" in a)
    throw Zh("Accessors not supported");
  return "value" in a && (e[t] = a.value), e;
};
var e1 = Math.ceil, t1 = Math.floor, gc = function(r) {
  var e = +r;
  return e !== e || e === 0 ? 0 : (e > 0 ? t1 : e1)(e);
}, a1 = gc, n1 = Math.max, o1 = Math.min, i1 = function(r, e) {
  var t = a1(r);
  return t < 0 ? n1(t + e, 0) : o1(t, e);
}, v1 = gc, c1 = Math.min, l1 = function(r) {
  return r > 0 ? c1(v1(r), 9007199254740991) : 0;
}, s1 = l1, u1 = function(r) {
  return s1(r.length);
}, f1 = Lr, $1 = i1, d1 = u1, Qo = function(r) {
  return function(e, t, a) {
    var n = f1(e), o = d1(n), i = $1(a, o), v;
    if (r && t != t) {
      for (; o > i; )
        if (v = n[i++], v != v)
          return !0;
    } else
      for (; o > i; i++)
        if ((r || i in n) && n[i] === t)
          return r || i || 0;
    return !r && -1;
  };
}, p1 = {
  // `Array.prototype.includes` method
  // https://tc39.es/ecma262/#sec-array.prototype.includes
  includes: Qo(!0),
  // `Array.prototype.indexOf` method
  // https://tc39.es/ecma262/#sec-array.prototype.indexof
  indexOf: Qo(!1)
}, Ya = {}, y1 = x, Et = D, b1 = Lr, g1 = p1.indexOf, h1 = Ya, Zo = y1([].push), hc = function(r, e) {
  var t = b1(r), a = 0, n = [], o;
  for (o in t)
    !Et(h1, o) && Et(t, o) && Zo(n, o);
  for (; e.length > a; )
    Et(t, o = e[a++]) && (~g1(n, o) || Zo(n, o));
  return n;
}, Ha = [
  "constructor",
  "hasOwnProperty",
  "isPrototypeOf",
  "propertyIsEnumerable",
  "toLocaleString",
  "toString",
  "valueOf"
], O1 = hc, m1 = Ha, Oc = Object.keys || function(e) {
  return O1(e, m1);
}, S1 = M, E1 = dc, T1 = rr, I1 = Mr, w1 = Lr, P1 = Oc;
$c.f = S1 && !E1 ? Object.defineProperties : function(e, t) {
  I1(e);
  for (var a = w1(t), n = P1(t), o = n.length, i = 0, v; o > i; )
    T1.f(e, v = n[i++], a[v]);
  return e;
};
var R1 = Pe, C1 = R1("document", "documentElement"), j1 = Ga.exports, _1 = vc, ri = j1("keys"), qa = function(r) {
  return ri[r] || (ri[r] = _1(r));
}, x1 = Mr, N1 = $c, ei = Ha, A1 = Ya, L1 = C1, D1 = Wa, M1 = qa, ti = ">", ai = "<", va = "prototype", ca = "script", mc = M1("IE_PROTO"), Tt = function() {
}, Sc = function(r) {
  return ai + ca + ti + r + ai + "/" + ca + ti;
}, ni = function(r) {
  r.write(Sc("")), r.close();
  var e = r.parentWindow.Object;
  return r = null, e;
}, F1 = function() {
  var r = D1("iframe"), e = "java" + ca + ":", t;
  return r.style.display = "none", L1.appendChild(r), r.src = String(e), t = r.contentWindow.document, t.open(), t.write(Sc("document.F=Object")), t.close(), t.F;
}, Qr, oe = function() {
  try {
    Qr = new ActiveXObject("htmlfile");
  } catch {
  }
  oe = typeof document < "u" ? document.domain && Qr ? ni(Qr) : F1() : ni(Qr);
  for (var r = ei.length; r--; )
    delete oe[va][ei[r]];
  return oe();
};
A1[mc] = !0;
var Ec = Object.create || function(e, t) {
  var a;
  return e !== null ? (Tt[va] = x1(e), a = new Tt(), Tt[va] = null, a[mc] = e) : a = oe(), t === void 0 ? a : N1.f(a, t);
}, U1 = br, B1 = Ec, G1 = rr, la = U1("unscopables"), sa = Array.prototype;
sa[la] == null && G1.f(sa, la, {
  configurable: !0,
  value: B1(null)
});
var K1 = function(r) {
  sa[la][r] = !0;
}, za = {}, k1 = x, V1 = P, ua = ka, W1 = k1(Function.toString);
V1(ua.inspectSource) || (ua.inspectSource = function(r) {
  return W1(r);
});
var Tc = ua.inspectSource, Y1 = h, H1 = P, q1 = Tc, oi = Y1.WeakMap, z1 = H1(oi) && /native code/.test(q1(oi)), Ja = function(r, e) {
  return {
    enumerable: !(r & 1),
    configurable: !(r & 2),
    writable: !(r & 4),
    value: e
  };
}, J1 = M, X1 = rr, Q1 = Ja, Ur = J1 ? function(r, e, t) {
  return X1.f(r, e, Q1(1, t));
} : function(r, e, t) {
  return r[e] = t, r;
}, Z1 = z1, Ic = h, It = x, rO = Dr, eO = Ur, wt = D, Pt = ka, tO = qa, aO = Ya, ii = "Object already initialized", fa = Ic.TypeError, nO = Ic.WeakMap, $e, Cr, de, oO = function(r) {
  return de(r) ? Cr(r) : $e(r, {});
}, iO = function(r) {
  return function(e) {
    var t;
    if (!rO(e) || (t = Cr(e)).type !== r)
      throw fa("Incompatible receiver, " + r + " required");
    return t;
  };
};
if (Z1 || Pt.state) {
  var V = Pt.state || (Pt.state = new nO()), vO = It(V.get), vi = It(V.has), cO = It(V.set);
  $e = function(r, e) {
    if (vi(V, r))
      throw new fa(ii);
    return e.facade = r, cO(V, r, e), e;
  }, Cr = function(r) {
    return vO(V, r) || {};
  }, de = function(r) {
    return vi(V, r);
  };
} else {
  var or = tO("state");
  aO[or] = !0, $e = function(r, e) {
    if (wt(r, or))
      throw new fa(ii);
    return e.facade = r, eO(r, or, e), e;
  }, Cr = function(r) {
    return wt(r, or) ? r[or] : {};
  }, de = function(r) {
    return wt(r, or);
  };
}
var wc = {
  set: $e,
  get: Cr,
  has: de,
  enforce: oO,
  getterFor: iO
}, Xa = {}, Qa = {}, Pc = {}.propertyIsEnumerable, Rc = Object.getOwnPropertyDescriptor, lO = Rc && !Pc.call({ 1: 2 }, 1);
Qa.f = lO ? function(e) {
  var t = Rc(this, e);
  return !!t && t.enumerable;
} : Pc;
var sO = M, uO = Fr, fO = Qa, $O = Ja, dO = Lr, pO = bc, yO = D, bO = pc, ci = Object.getOwnPropertyDescriptor;
Xa.f = sO ? ci : function(e, t) {
  if (e = dO(e), t = pO(t), bO)
    try {
      return ci(e, t);
    } catch {
    }
  if (yO(e, t))
    return $O(!uO(fO.f, e, t), e[t]);
};
var Re = { exports: {} }, $a = M, gO = D, Cc = Function.prototype, hO = $a && Object.getOwnPropertyDescriptor, Za = gO(Cc, "name"), OO = Za && (function() {
}).name === "something", mO = Za && (!$a || $a && hO(Cc, "name").configurable), jc = {
  EXISTS: Za,
  PROPER: OO,
  CONFIGURABLE: mO
}, SO = h, li = P, EO = D, si = Ur, TO = Ka, IO = Tc, _c = wc, wO = jc.CONFIGURABLE, PO = _c.get, RO = _c.enforce, CO = String(String).split("String");
(Re.exports = function(r, e, t, a) {
  var n = a ? !!a.unsafe : !1, o = a ? !!a.enumerable : !1, i = a ? !!a.noTargetGet : !1, v = a && a.name !== void 0 ? a.name : e, s;
  if (li(t) && (String(v).slice(0, 7) === "Symbol(" && (v = "[" + String(v).replace(/^Symbol\(([^)]*)\)/, "$1") + "]"), (!EO(t, "name") || wO && t.name !== v) && si(t, "name", v), s = RO(t), s.source || (s.source = CO.join(typeof v == "string" ? v : ""))), r === SO) {
    o ? r[e] = t : TO(e, t);
    return;
  } else
    n ? !i && r[e] && (o = !0) : delete r[e];
  o ? r[e] = t : si(r, e, t);
})(Function.prototype, "toString", function() {
  return li(this) && PO(this).source || IO(this);
});
var xc = {}, jO = hc, _O = Ha, xO = _O.concat("length", "prototype");
xc.f = Object.getOwnPropertyNames || function(e) {
  return jO(e, xO);
};
var rn = {};
rn.f = Object.getOwnPropertySymbols;
var NO = Pe, AO = x, LO = xc, DO = rn, MO = Mr, FO = AO([].concat), UO = NO("Reflect", "ownKeys") || function(e) {
  var t = LO.f(MO(e)), a = DO.f;
  return a ? FO(t, a(e)) : t;
}, ui = D, BO = UO, GO = Xa, KO = rr, kO = function(r, e, t) {
  for (var a = BO(e), n = KO.f, o = GO.f, i = 0; i < a.length; i++) {
    var v = a[i];
    !ui(r, v) && !(t && ui(t, v)) && n(r, v, o(e, v));
  }
}, VO = A, WO = P, YO = /#|\.prototype\./, Br = function(r, e) {
  var t = qO[HO(r)];
  return t == JO ? !0 : t == zO ? !1 : WO(e) ? VO(e) : !!e;
}, HO = Br.normalize = function(r) {
  return String(r).replace(YO, ".").toLowerCase();
}, qO = Br.data = {}, zO = Br.NATIVE = "N", JO = Br.POLYFILL = "P", XO = Br, Rt = h, QO = Xa.f, ZO = Ur, rm = Re.exports, em = Ka, tm = kO, am = XO, Nc = function(r, e) {
  var t = r.target, a = r.global, n = r.stat, o, i, v, s, l, c;
  if (a ? i = Rt : n ? i = Rt[t] || em(t, {}) : i = (Rt[t] || {}).prototype, i)
    for (v in e) {
      if (l = e[v], r.noTargetGet ? (c = QO(i, v), s = c && c.value) : s = i[v], o = am(a ? v : t + (n ? "." : "#") + v, r.forced), !o && s !== void 0) {
        if (typeof l == typeof s)
          continue;
        tm(l, s);
      }
      (r.sham || s && s.sham) && ZO(l, "sham", !0), rm(i, v, l, r);
    }
}, nm = A, om = !nm(function() {
  function r() {
  }
  return r.prototype.constructor = null, Object.getPrototypeOf(new r()) !== r.prototype;
}), im = h, vm = D, cm = P, lm = Va, sm = qa, um = om, fi = sm("IE_PROTO"), da = im.Object, fm = da.prototype, Ac = um ? da.getPrototypeOf : function(r) {
  var e = lm(r);
  if (vm(e, fi))
    return e[fi];
  var t = e.constructor;
  return cm(t) && e instanceof t ? t.prototype : e instanceof da ? fm : null;
}, $m = A, dm = P, $i = Ac, pm = Re.exports, ym = br, pa = ym("iterator"), Lc = !1, J, Ct, jt;
[].keys && (jt = [].keys(), "next" in jt ? (Ct = $i($i(jt)), Ct !== Object.prototype && (J = Ct)) : Lc = !0);
var bm = J == null || $m(function() {
  var r = {};
  return J[pa].call(r) !== r;
});
bm && (J = {});
dm(J[pa]) || pm(J, pa, function() {
  return this;
});
var Dc = {
  IteratorPrototype: J,
  BUGGY_SAFARI_ITERATORS: Lc
}, gm = rr.f, hm = D, Om = br, di = Om("toStringTag"), Mc = function(r, e, t) {
  r && !t && (r = r.prototype), r && !hm(r, di) && gm(r, di, { configurable: !0, value: e });
}, mm = Dc.IteratorPrototype, Sm = Ec, Em = Ja, Tm = Mc, Im = za, wm = function() {
  return this;
}, Pm = function(r, e, t, a) {
  var n = e + " Iterator";
  return r.prototype = Sm(mm, { next: Em(+!a, t) }), Tm(r, n, !1), Im[n] = wm, r;
}, Fc = h, Rm = P, Cm = Fc.String, jm = Fc.TypeError, _m = function(r) {
  if (typeof r == "object" || Rm(r))
    return r;
  throw jm("Can't set " + Cm(r) + " as a prototype");
}, xm = x, Nm = Mr, Am = _m, Lm = Object.setPrototypeOf || ("__proto__" in {} ? function() {
  var r = !1, e = {}, t;
  try {
    t = xm(Object.getOwnPropertyDescriptor(Object.prototype, "__proto__").set), t(e, []), r = e instanceof Array;
  } catch {
  }
  return function(n, o) {
    return Nm(n), Am(o), r ? t(n, o) : n.__proto__ = o, n;
  };
}() : void 0), Dm = Nc, Mm = Fr, Uc = jc, Fm = P, Um = Pm, pi = Ac, yi = Lm, Bm = Mc, Gm = Ur, _t = Re.exports, Km = br, km = za, Bc = Dc, Vm = Uc.PROPER, Wm = Uc.CONFIGURABLE, bi = Bc.IteratorPrototype, Zr = Bc.BUGGY_SAFARI_ITERATORS, mr = Km("iterator"), gi = "keys", Sr = "values", hi = "entries", Ym = function() {
  return this;
}, Hm = function(r, e, t, a, n, o, i) {
  Um(t, e, a);
  var v = function(b) {
    if (b === n && f)
      return f;
    if (!Zr && b in c)
      return c[b];
    switch (b) {
      case gi:
        return function() {
          return new t(this, b);
        };
      case Sr:
        return function() {
          return new t(this, b);
        };
      case hi:
        return function() {
          return new t(this, b);
        };
    }
    return function() {
      return new t(this);
    };
  }, s = e + " Iterator", l = !1, c = r.prototype, u = c[mr] || c["@@iterator"] || n && c[n], f = !Zr && u || v(n), y = e == "Array" && c.entries || u, d, p, g;
  if (y && (d = pi(y.call(new r())), d !== Object.prototype && d.next && (pi(d) !== bi && (yi ? yi(d, bi) : Fm(d[mr]) || _t(d, mr, Ym)), Bm(d, s, !0))), Vm && n == Sr && u && u.name !== Sr && (Wm ? Gm(c, "name", Sr) : (l = !0, f = function() {
    return Mm(u, this);
  })), n)
    if (p = {
      values: v(Sr),
      keys: o ? f : v(gi),
      entries: v(hi)
    }, i)
      for (g in p)
        (Zr || l || !(g in c)) && _t(c, g, p[g]);
    else
      Dm({ target: e, proto: !0, forced: Zr || l }, p);
  return c[mr] !== f && _t(c, mr, f, { name: n }), km[e] = f, p;
}, qm = Lr, en = K1, Oi = za, Gc = wc, zm = rr.f, Jm = Hm, Xm = M, Kc = "Array Iterator", Qm = Gc.set, Zm = Gc.getterFor(Kc), rS = Jm(Array, "Array", function(r, e) {
  Qm(this, {
    type: Kc,
    target: qm(r),
    // target
    index: 0,
    // next index
    kind: e
    // kind
  });
}, function() {
  var r = Zm(this), e = r.target, t = r.kind, a = r.index++;
  return !e || a >= e.length ? (r.target = void 0, { value: void 0, done: !0 }) : t == "keys" ? { value: a, done: !1 } : t == "values" ? { value: e[a], done: !1 } : { value: [a, e[a]], done: !1 };
}, "values"), mi = Oi.Arguments = Oi.Array;
en("keys");
en("values");
en("entries");
if (Xm && mi.name !== "values")
  try {
    zm(mi, "name", { value: "values" });
  } catch {
  }
var eS = {
  CSSRuleList: 0,
  CSSStyleDeclaration: 0,
  CSSValueList: 0,
  ClientRectList: 0,
  DOMRectList: 0,
  DOMStringList: 0,
  DOMTokenList: 1,
  DataTransferItemList: 0,
  FileList: 0,
  HTMLAllCollection: 0,
  HTMLCollection: 0,
  HTMLFormElement: 0,
  HTMLSelectElement: 0,
  MediaList: 0,
  MimeTypeArray: 0,
  NamedNodeMap: 0,
  NodeList: 1,
  PaintRequestList: 0,
  Plugin: 0,
  PluginArray: 0,
  SVGLengthList: 0,
  SVGNumberList: 0,
  SVGPathSegList: 0,
  SVGPointList: 0,
  SVGStringList: 0,
  SVGTransformList: 0,
  SourceBufferList: 0,
  StyleSheetList: 0,
  TextTrackCueList: 0,
  TextTrackList: 0,
  TouchList: 0
}, tS = Wa, xt = tS("span").classList, Si = xt && xt.constructor && xt.constructor.prototype, aS = Si === Object.prototype ? void 0 : Si, Ei = h, kc = eS, nS = aS, Er = rS, Nt = Ur, Vc = br, At = Vc("iterator"), Ti = Vc("toStringTag"), Lt = Er.values, Wc = function(r, e) {
  if (r) {
    if (r[At] !== Lt)
      try {
        Nt(r, At, Lt);
      } catch {
        r[At] = Lt;
      }
    if (r[Ti] || Nt(r, Ti, e), kc[e]) {
      for (var t in Er)
        if (r[t] !== Er[t])
          try {
            Nt(r, t, Er[t]);
          } catch {
            r[t] = Er[t];
          }
    }
  }
};
for (var Dt in kc)
  Wc(Ei[Dt] && Ei[Dt].prototype, Dt);
Wc(nS, "DOMTokenList");
var Ii = M, oS = x, iS = Fr, vS = A, Mt = Oc, cS = rn, lS = Qa, sS = Va, uS = oc, ir = Object.assign, wi = Object.defineProperty, fS = oS([].concat), $S = !ir || vS(function() {
  if (Ii && ir({ b: 1 }, ir(wi({}, "a", {
    enumerable: !0,
    get: function() {
      wi(this, "b", {
        value: 3,
        enumerable: !1
      });
    }
  }), { b: 2 })).b !== 1)
    return !0;
  var r = {}, e = {}, t = Symbol(), a = "abcdefghijklmnopqrst";
  return r[t] = 7, a.split("").forEach(function(n) {
    e[n] = n;
  }), ir({}, r)[t] != 7 || Mt(ir({}, e)).join("") != a;
}) ? function(e, t) {
  for (var a = sS(e), n = arguments.length, o = 1, i = cS.f, v = lS.f; n > o; )
    for (var s = uS(arguments[o++]), l = i ? fS(Mt(s), i(s)) : Mt(s), c = l.length, u = 0, f; c > u; )
      f = l[u++], (!Ii || iS(v, s, f)) && (a[f] = s[f]);
  return a;
} : ir, dS = Nc, Pi = $S;
dS({ target: "Object", stat: !0, forced: Object.assign !== Pi }, {
  assign: Pi
});
function Ri(r, e, t, a) {
  function n(o) {
    return o instanceof t ? o : new t(function(i) {
      i(o);
    });
  }
  return new (t || (t = Promise))(function(o, i) {
    function v(c) {
      try {
        l(a.next(c));
      } catch (u) {
        i(u);
      }
    }
    function s(c) {
      try {
        l(a.throw(c));
      } catch (u) {
        i(u);
      }
    }
    function l(c) {
      c.done ? o(c.value) : n(c.value).then(v, s);
    }
    l((a = a.apply(r, e || [])).next());
  });
}
const pS = {
  // eslint-disable-next-line @typescript-eslint/no-empty-function
  loaded: () => {
  },
  googleCheckContentLoaded: !0,
  googleCheckInterval: 3e3,
  queryParams: "",
  url: "",
  overrideLocalhost: "",
  googleMaxChecks: 5,
  viewer: "google",
  viewerUrl: "",
  style: {
    width: "100%",
    height: "100%"
  },
  className: ""
}, yS = (r) => {
  var e, t, a, n, o;
  const i = Ae(null), [v, s] = _i({
    url: "",
    isSwitching: !1,
    externalViewer: !0,
    docHtml: {
      __html: ""
    }
  }), l = Ae(), c = Ae(), u = (d) => Ri(void 0, void 0, void 0, function* () {
    if (c.current) {
      const p = i.current;
      l && l.current && l.current.unsubscribe(), c.current.viewer === "google" && c.current.googleCheckContentLoaded === !0 && f(p, d.url, c.current.googleCheckInterval, c.current.googleMaxChecks);
    }
  });
  on(() => {
    let d;
    return v.isSwitching && (s((p) => Object.assign(Object.assign({}, p), {
      isSwitching: !1
    })), d = setTimeout(() => {
      u({
        url: v.url,
        externalViewer: v.externalViewer
      });
    }, 500)), () => {
      d && clearTimeout(d);
    };
  }, [v.isSwitching]), on(() => {
    c.current = Object.assign(Object.assign({}, pS), r);
    let d = Lo(c.current.url, c.current.viewer, c.current.queryParams, c.current.viewerUrl);
    if (d.externalViewer && c.current.overrideLocalhost && gg(c.current.url)) {
      const p = bg(c.current.url, c.current.overrideLocalhost);
      d = Lo(p, c.current.viewer, c.current.queryParams, c.current.viewerUrl);
    }
    if (s({
      url: d.url,
      externalViewer: d.externalViewer,
      isSwitching: !1,
      docHtml: {
        __html: ""
      }
    }), i && i.current) {
      const p = i.current;
      p.src && p.src !== `${window.location.protocol}//${window.location.host}/` && p.src !== d.url ? s((g) => Object.assign(Object.assign({}, g), {
        isSwitching: !0
      })) : u(d);
    } else
      c.current.viewer === "mammoth" && Ri(void 0, void 0, void 0, function* () {
        const g = {
          __html: yield dg(d.url)
        };
        s({
          url: "",
          docHtml: g,
          isSwitching: !1,
          externalViewer: !1
        });
      });
    return () => {
      l && l.current && l.current.unsubscribe();
    };
  }, [r]);
  const f = (d, p, g, b) => {
    l.current = pg(), l.current.subscribe(d, g, b);
  }, y = () => {
    c.current && i && i.current !== null && rc(i.current) && (c.current.loaded && c.current.loaded(), l.current && l.current.unsubscribe());
  };
  return v.isSwitching ? null : v.externalViewer ? R("iframe", {
    style: (e = c.current) === null || e === void 0 ? void 0 : e.style,
    className: (t = c.current) === null || t === void 0 ? void 0 : t.className,
    ref: i,
    onLoad: () => {
      y();
    },
    id: "iframe",
    title: "iframe",
    frameBorder: "0",
    src: v.url
  }) : ((a = c.current) === null || a === void 0 ? void 0 : a.viewer) !== "pdf" ? R("div", {
    dangerouslySetInnerHTML: v.docHtml
  }) : v.url ? R("object", Object.assign({
    data: v.url,
    style: (n = c.current) === null || n === void 0 ? void 0 : n.style,
    className: (o = c.current) === null || o === void 0 ? void 0 : o.className,
    type: "application/pdf",
    width: "100%",
    height: "100%"
  }, {
    children: Ci("p", {
      children: ["Your browser does not support PDFs.", R("a", Object.assign({
        href: v.url
      }, {
        children: "Download the PDF"
      })), "."]
    })
  })) : null;
}, Yc = (r) => al`
    width: ${nl(r.margin)};	
    height: ${ol(r.margin)};	
    margin: ${r.margin};	
    padding: ${r.padding};

    overflow: hidden;
    background-color: ${r.background};
    border: ${(e) => r.borderWidth ? r.borderWidth : "1px"} solid ${r.border};
    border-radius: calc(min(${r.radius}, 20px));
  `, bS = ji.div`
  display: flex;
  height: 100%;
  justify-content: center;
  align-items: center;
  ${(r) => r.$style && Yc(r.$style)}
`, gS = ji.div`
  height: 100%;
  ${(r) => r.$style && Yc(r.$style)}
`, hS = (r) => {
  const [e, t] = _i(!1);
  return /* @__PURE__ */ R(gS, {
    $style: r.style,
    onClick: (a) => t(!0),
    onMouseLeave: (a) => t(!1),
    children: /* @__PURE__ */ R(yS, {
      style: {
        pointerEvents: e ? "auto" : "none",
        width: "100%",
        height: "100%"
      },
      url: r.src,
      viewer: "url"
    })
  });
};
let ya = function() {
  const r = {
    src: Hc,
    style: qc(zc)
  };
  return new Jc(r, (e) => Xc.isEmpty(e.src) ? /* @__PURE__ */ R(bS, {
    $style: e.style,
    children: re("fileViewer.invalidURL")
  }) : /* @__PURE__ */ R(hS, {
    src: e.src,
    style: e.style
  })).setPropertyViewFn((e) => /* @__PURE__ */ Ci(Qc, {
    children: [/* @__PURE__ */ R(xe, {
      name: Ne.basic,
      children: e.src.propertyView({
        label: re("fileViewer.src"),
        tooltip: /* @__PURE__ */ R("span", {
          children: re("fileViewer.srcTooltip")
        })
      })
    }), ["logic", "both"].includes(vn(nn).editorModeStatus) && /* @__PURE__ */ R(xe, {
      name: Ne.interaction,
      children: Zc(e)
    }), ["layout", "both"].includes(vn(nn).editorModeStatus) && /* @__PURE__ */ R(xe, {
      name: Ne.style,
      children: e.style.getPropertyView()
    })]
  })).build();
}();
ya = class extends ya {
  autoHeight() {
    return !1;
  }
};
const ES = rl(ya, [new el("src", re("fileViewer.srcDesc")), tl]);
export {
  ES as FileViewerComp
};
